<!doctype html>
<html>
<head>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-19213598-4"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'UA-19213598-4');
    </script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8">
    <link rel="shortcut icon" href="./.favicon.ico">
    <title>Rauman seurakunnan tallenteet</title>

    <!-- Stylesheet -->
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f9f9f9;
            color: #333;
        }

        #container {
            max-width: 800px;
            margin: 20px auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        h1 {
            font-size: 1.8em;
            text-align: center;
            color: #1a5796;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th {
            background-color: #1a5796;
            color: white;
            text-align: left;
            padding: 10px;
        }

        td {
            padding: 10px;
            border-bottom: 1px solid #ddd;
        }

        tr:hover {
            background-color: #f1f1f1;
        }

        a.name {
            text-decoration: none;
            color: #1a5796;
        }

        a.name:hover {
            text-decoration: underline;
        }

        audio {
            width: 100%;
            margin-top: 10px;
            outline: none;
        }

        .seek input[type="range"] {
            width: 100%;
            margin: 10px 0;
        }

        .seek button {
            margin: 5px;
            padding: 5px 10px;
            background-color: #0056b3;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .seek button:hover {
            background-color: #004494;
        }
    /* Hide the input range by default */
    input[type="range"] {
        display: none;
    }

    /* Show it only on mobile devices */
    @media (max-width: 568px) {
        input[type="range"] {
            display: inline-block;
        }
    }
/* Styling for the container */
    .seek-container {
        display: flex;
        flex-direction: column; /* Arrange items vertically */
        align-items: center;   /* Center items horizontally */
        justify-content: center; /* Center items vertically */
        margin: 10px 0;        /* Add some spacing */
    }

    .seek-bar {
        width: 230px;
        margin-bottom: 10px; /* Add space between the bar and buttons */
    }

    .seek-buttons {
        display: flex;
        gap: 10px; /* Add space between the buttons */
    }

    .seek-buttons button {
        padding: 5px 10px;
        font-size: 14px;
	background-color: #1a5796;
	color: white;
    }


    </style>
</head>

<body>
<div id="container">
    <h1>Rauman seurakunnan tallenteet</h1>
    <table>
        <thead>
            <tr>
<center>
                <th><center>Tallenteet</center></th>
</center>
            </tr>
        </thead>
        <tbody>
<?php

        // Adds pretty filesizes
        function pretty_filesize($file) {
                $size=filesize($file);
                if($size<1024){$size=$size." Bytes";}
                elseif(($size<1048576)&&($size>1023)){$size=round($size/1024, 1)." KB";}
                elseif(($size<1073741824)&&($size>1048575)){$size=round($size/1048576, 1)." MB";}
                else{$size=round($size/1073741824, 1)." GB";}
                return $size;
        }

        // Checks to see if veiwing hidden files is enabled
        if($_SERVER['QUERY_STRING']=="hidden")
        {$hide="";
         $ahref="./";
         $atext="Hide";}
        else
        {$hide=".";
         $ahref="./?hidden";
         $atext="Show";}

         // Opens directory
         $myDirectory=opendir(".");

        // Gets each entry
        while($entryName=readdir($myDirectory)) {
           $dirArray[]=$entryName;
          // $file_array[$entryName] = filemtime ($filename);
        }

        // Closes directory
        closedir($myDirectory);

        // Counts elements in array
        $indexCount=count($dirArray);

        // Sorts files
        rsort($dirArray);

        // Loops through the array of files
        for($index=0; $index < $indexCount; $index++) {

        // Decides if hidden files should be displayed, based on query above.
            if(substr("$dirArray[$index]", 0, 1)!=$hide) {

        // Resets Variables
                $favicon="";
                $class="file";

        // Gets  Names and dates from filename

                                $subst = '$3/$2/$1 $4:$5';
                                $pattern = '/(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})_.*/i';
                                $date = preg_replace($pattern, $subst, $dirArray[$index]);
                                $namehref=$dirArray[$index];
        //                      $subst = '$2';
                                $subst = '';
                //              $pattern = '/(\d{12})_(.*)..../i';
                                $pattern = '/.mp3/';
                                $name = preg_replace($pattern, $subst, $dirArray[$index]);
                                $subst = ' ';
                                $pattern = '(_)';
                                $name2 = preg_replace($pattern, $subst, $name);
                                $name3 = preg_replace('/(\d{4}).(\d{2}).(\d{2})/', '$3/$2/$1 klo', $name2);
        // Gets Date Modified
                $modtime=date("d.m.Y G:i", filemtime($dirArray[$index]));
                $timekey=date("YmdHis", filemtime($dirArray[$index]));




        // Separates directories, and performs operations on those directories
                if(is_dir($dirArray[$index]))
                {
                                $extn="&lt;Directory&gt;";
                                $size="&lt;Directory&gt;";
                                $sizekey="0";
                                $class="dir";

                        // Gets favicon.ico, and displays it, only if it exists.
                                if(file_exists("$namehref/favicon.ico"))
                                        {
                                                $favicon=" style='background-image:url($namehref/favicon.ico);'";
                                                $extn="&lt;Website&gt;";
                                        }

                        // Cleans up . and .. directories
                                if($name=="."){$name=". (Current Directory)"; $extn="&lt;System Dir&gt;"; $favicon=" style='background-image:url($namehref/.favicon.ico);'";}
                                if($name==".."){$name=".. (Parent Directory)"; $extn="&lt;System Dir&gt;";}

                }

// Get name and date


        // File-only operations
                else{
                        // Gets file extension
                        $extn=pathinfo($dirArray[$index], PATHINFO_EXTENSION);

                        // Prettifies file type
                        switch ($extn){
                                case "png": $extn="PNG Image"; break;
                                case "jpg": $extn="JPEG Image"; break;
                                case "jpeg": $extn="JPEG Image"; break;
                                case "svg": $extn="SVG Image"; break;
                                case "gif": $extn="GIF Image"; break;
                                case "ico": $extn="Windows Icon"; break;
                                case "mp3": $extn="PNG Image"; break;
                                case "txt": $extn="Text File"; break;
                                case "log": $extn="Log File"; break;
                                case "htm": $extn="HTML File"; break;
                                case "html": $extn="HTML File"; break;
                                case "xhtml": $extn="HTML File"; break;
                                case "shtml": $extn="HTML File"; break;
                                case "php": $extn="PHP Script"; break;
                                case "js": $extn="Javascript File"; break;
                                case "css": $extn="Stylesheet"; break;

                                case "pdf": $extn="PDF Document"; break;
                                case "xls": $extn="Spreadsheet"; break;
                                case "xlsx": $extn="Spreadsheet"; break;
                                case "doc": $extn="Microsoft Word Document"; break;
                                case "docx": $extn="Microsoft Word Document"; break;

                                case "zip": $extn="ZIP Archive"; break;
                                case "htaccess": $extn="Apache Config File"; break;
                                case "exe": $extn="Windows Executable"; break;

                                default: if($extn!=""){$extn=strtoupper($extn)." File";} else{$extn="Unknown";} break;
                        }

                        // Gets and cleans up file size
                                $size=pretty_filesize($dirArray[$index]);
                                $sizekey=filesize($dirArray[$index]);
                }

        // Output
         echo("
 <tr>
                        <td><b><a href='$namehref'$favicon class='name'>$name3</a><b>
<audio id='aud$index' controls preload='metadata' onloadedmetadata='mDur$index()' ontimeupdate='mPlay$index()'>
                                <source src='$namehref' type='audio/mpeg'>
                                </audio></a><br>
<div class='seek-container'>
 <input id='dur$index' type='range' name='rng' min='0' step='0.25' value='0' onchange='mSet$index()' style='width: 230px'>
<div class='seek-buttons'>
<button id='back$index' type='button' onclick='backAudio$index()'>Taakse 10 sek</button>
<button id='skip$index' type='button' onclick='forwardAudio$index()'>Eteen 30 sek</button>
<script>
var aud$index = document.getElementById('aud$index')
var dur$index = document.getElementById('dur$index')
var skip$index = document.getElementById('skip$index')
var back$index = document.getElementById('back$index')
function mDur$index(){dur$index.max= aud$index.duration}
function mPlay$index(){dur$index.value=aud$index.currentTime}
function mSet$index(){aud$index.currentTime=dur$index.value}
function forwardAudio$index(){aud$index.currentTime += 30.0}
function backAudio$index(){aud$index.currentTime -=10.0}
</script>
</div>
</div>
<script>
var aud$index = document.getElementById('aud$index')
var dur$index = document.getElementById('dur$index')
var skip$index = document.getElementById('skip$index')
var back$index = document.getElementById('back$index')
function mDur$index(){dur$index.max= aud$index.duration}
function mPlay$index(){dur$index.value=aud$index.currentTime}
function mSet$index(){aud$index.currentTime=dur$index.value}
function forwardAudio$index(){aud$index.currentTime += 30.0}
function backAudio$index(){aud$index.currentTime -=10.0}

document.addEventListener('DOMContentLoaded', function () {
    var audioPlayer = document.getElementById('aud$index');
    var playCountElement = document.getElementById('playCount');
    var playCount = 0;

    audioPlayer.addEventListener('play', function () {
//        playCount++;
 //       playCountElement.textContent = playCount;

        // Send a request to the server to update the MySQL database
        updateDatabase();
    });

    function updateDatabase() {
        // Use AJAX or fetch API to send a request to the server
        // Example using fetch API
        fetch('./.update_database.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({ playCount: playCount }),
        })
        .then(response => response.json())
        .then(data => console.log(data))
        .catch(error => console.error('Error:', error));
    }
});


</script>
</div>

</td>

                </tr>");
           }
        }
        ?>

        </tbody>
    </table>
</div>
</body>
</html>

